import { EventExecutor } from './event/EventExecutor';
export declare class Aggregate {
    static applyEvents(allEvents: Object[], eventExecutors: EventExecutor<any, any>[], aggregateClasses: Map<string, Function>): Aggregate;
    static instantiateAggregate(aggregateType: string, aggregateId: string, aggregateClasses: Map<string, Function>): Aggregate;
    private aggregateRoles;
    aggregateId: string;
    aggregateType: string;
    constructor(aggregateType: string, aggregateId: string);
    getAggregateType(): string;
    getAggregateId(): string;
    getFullId(): string;
    /**
     * Gets the extra roles that this aggregate grants
     */
    getAggregateRoles(): Map<string, Array<string>>;
    /**
     * Gets the extra roles that this aggregate grants to an entity
     * @param {string} Optional. The id of the entity we're asking about.
     * @returns {[string]} The list of roles for this aggregate
     */
    getAggregateRolesFor(entityId: any): Array<string>;
    addAggregateRole(entityId: string, roles: Array<string>): void;
    removeAggregateRole(entityId: string, roles?: Array<string>): void;
}
