"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Command_1 = require("./Command");
class AggregateCommand extends Command_1.Command {
    /**
     *
     * @param {object} obj The object to take parameters from
     * @param {Auth} issuerAuth The Auth object of the issuer of this command
     * @param {[string]} commandId The id for this command. If not specified, the IdGenerator will be called to generate one
     * @param {string} aggregateId The id of the aggregate this command acts upon
     */
    constructor(obj = {}) {
        super(obj);
        this.aggregateId = obj.aggregateId;
    }
    getAggregateId() {
        return this.aggregateId;
    }
    getRolesForAggregate(aggregate) {
        const authRoles = this.issuerAuth.getRoles(aggregate.getFullId()) || [];
        const aggRoles = aggregate.getAggregateRolesFor(this.issuerAuth.getFullId());
        return [].concat(authRoles, aggRoles);
    }
}
exports.AggregateCommand = AggregateCommand;
//# sourceMappingURL=AggregateCommand.js.map