import { ExtendedError } from 'inceptum';
export declare class ReturnToCallerError extends ExtendedError {
    httpStatusCode: number;
    constructor(message: string, httpStatusCode?: number, cause?: Error);
    /**
     * Do not override this method. This is the method you should call to know what to return to the caller
     */
    getAllInfoToReturn(): {
        message: string;
    };
    /**
     * Please override this method to return whatever information you want to give back to the caller
     */
    getInfoToReturn(): {
        message: string;
    };
}
