"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class EventExecutor {
    constructor(aggregateCreating = false, aggregateIdProperty, aggregateType) {
        this.aggregateCreating = aggregateCreating;
        this.aggregateType = aggregateType;
        this.aggregateIdProperty = aggregateIdProperty;
    }
    static getEventExecutor(event, eventExecutors) {
        if (event.__executor) {
            return event.__executor;
        }
        const eventExecutor = eventExecutors.find((executor) => executor.canExecute(event));
        if (eventExecutor) {
            Object.defineProperty(event, '__executor', { value: eventExecutor, enumerable: false });
            return eventExecutor;
        }
    }
    isAggregateCreating() {
        return this.aggregateCreating;
    }
    getAggregateType() {
        return this.aggregateType;
    }
    getAggregateId(event) {
        return event[this.aggregateIdProperty];
    }
}
exports.EventExecutor = EventExecutor;
//# sourceMappingURL=EventExecutor.js.map