"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
class AggregateEventStore {
    /**
     * Saves a list of aggregate events to the persistent store
     * @param {AggregateEvent[]} aggregateEvents The array of aggregate events to store
     */
    commitAllEvents(aggregateEvents) {
        return __awaiter(this, void 0, void 0, function* () {
            yield Promise.all(aggregateEvents.map((event) => __awaiter(this, void 0, void 0, function* () { return yield this.commitEvent(event); })));
        });
    }
}
exports.AggregateEventStore = AggregateEventStore;
//# sourceMappingURL=AggregateEventStore.js.map