import { EventExecutor } from '../EventExecutor';
import { AggregateEventStore } from './AggregateEventStore';
export declare class InMemoryAggregateEventStore extends AggregateEventStore {
    store: Map<string, any>;
    eventExecutors: EventExecutor<any, any>[];
    constructor(eventExecutors: EventExecutor<any, any>[]);
    /**
     * Load all the events of an aggregate
     * @param {string} aggregateId The id of the aggregate whose events we want to load
     * @returns {AggregateEvent[]} The list of aggregate events of this aggregate
     */
    getEventsOf(aggregateId: string): Promise<Array<any>>;
    /**
     * Saves an aggregate event to the persistent store
     * @param {AggregateEvent} aggregateEvent The aggregate event to store
     */
    commitEvent(aggregateEvent: any): Promise<void>;
}
